petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateHermitianTranspose

Creates a new matrix object that behaves like A'*

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateHermitianTranspose(Mat A,Mat *N)

Collective on Mat Many br

### Input Parameter

A -the (possibly rectangular) matrix Many br

### Output Parameter

N -the matrix that represents A'* Many br

Many br

Notes: The hermitian transpose A' is NOT actually formed! Rather the new matrix Many brobject performs the matrix-vector product by using the MatMultHermitianTranspose() on Many brthe original matrix Many br

### See Also

MatCreateNormal(), MatMult(), MatMultHermitianTranspose(), MatCreate()

Level:intermediate
Location:src/mat/impls/transpose/htransm.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages